using PkmnLib.Plugin.Gen7.Scripts.Pokemon;

namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "spider_web")]
public class SpiderWeb : Script, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        move.User.Volatile.Add(new SpiderWebEffect());
        var effect = move.User.Volatile.Get<SpiderWebEffect>();
        effect?.AddTarget(target);
    }
}